Loading...
Searching...
No Matches
Magick::DrawableRoundRectangle Class Reference
Inheritance diagram for Magick::DrawableRoundRectangle:

## Public Member Functions

| DrawableRoundRectangle (double upperLeftX_, double upperLeftY_, double lowerRightX_, double lowerRightY_, double cornerWidth_, double cornerHeight_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | centerX (double centerX_)
double | centerX (void) const
void | centerY (double centerY_)
double | centerY (void) const
void | width (double width_)
double | width (void) const
void | hight (double hight_)
double | hight (void) const
void | upperLeftX (double upperLeftX_)
double | upperLeftX (void) const
void | upperLeftY (double upperLeftY_)
double | upperLeftY (void) const
void | lowerRightX (double lowerRightX_)
double | lowerRightX (void) const
void | lowerRightY (double lowerRightY_)
double | lowerRightY (void) const
void | cornerWidth (double cornerWidth_)
double | cornerWidth (void) const
void | cornerHeight (double cornerHeight_)
double | cornerHeight (void) const

## Private Attributes

double | _upperLeftX
double | _upperLeftY
double | _lowerRightX
double | _lowerRightY
double | _cornerWidth
double | _cornerHeight

## Detailed Description

Definition at line 1493 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableRoundRectangle()

Magick::DrawableRoundRectangle::DrawableRoundRectangle | ( | double | upperLeftX_,
|  | double | upperLeftY_,
|  | double | lowerRightX_,
|  | double | lowerRightY_,
|  | double | cornerWidth_,
|  | double | cornerHeight_
| ) |  |

inline

Definition at line 1496 of file Drawable.h.

: _upperLeftX(upperLeftX_),
_upperLeftY(upperLeftY_),
_lowerRightX(lowerRightX_),
_lowerRightY(lowerRightY_),
_cornerWidth(cornerWidth_),
_cornerHeight(cornerHeight_)
{ }

## ~DrawableRoundRectangle()

Magick::DrawableRoundRectangle::~DrawableRoundRectangle | ( | void |  | ) |

Definition at line 1106 of file Drawable.cpp.

{
}

## Member Function Documentation

## centerX() [1/2]

void Magick::DrawableRoundRectangle::centerX | ( | double | centerX_ | ) |

inline

Definition at line 1517 of file Drawable.h.

{
_upperLeftX = centerX_;
}

## centerX() [2/2]

double Magick::DrawableRoundRectangle::centerX | ( | void |  | ) | const

inline

Definition at line 1521 of file Drawable.h.

{
return _upperLeftX;
}

## centerY() [1/2]

void Magick::DrawableRoundRectangle::centerY | ( | double | centerY_ | ) |

inline

Definition at line 1526 of file Drawable.h.

{
_upperLeftY = centerY_;
}

## centerY() [2/2]

double Magick::DrawableRoundRectangle::centerY | ( | void |  | ) | const

inline

Definition at line 1530 of file Drawable.h.

{
return _upperLeftY;
}

## copy()

Magick::DrawableBase * Magick::DrawableRoundRectangle::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1115 of file Drawable.cpp.

{
return new DrawableRoundRectangle(*this);
}

## cornerHeight() [1/2]

void Magick::DrawableRoundRectangle::cornerHeight | ( | double | cornerHeight_ | ) |

inline

Definition at line 1600 of file Drawable.h.

{
_cornerHeight = cornerHeight_;
}

## cornerHeight() [2/2]

double Magick::DrawableRoundRectangle::cornerHeight | ( | void |  | ) | const

inline

Definition at line 1604 of file Drawable.h.

{
return _cornerHeight;
}

## cornerWidth() [1/2]

void Magick::DrawableRoundRectangle::cornerWidth | ( | double | cornerWidth_ | ) |

inline

Definition at line 1591 of file Drawable.h.

{
_cornerWidth = cornerWidth_;
}

## cornerWidth() [2/2]

double Magick::DrawableRoundRectangle::cornerWidth | ( | void |  | ) | const

inline

Definition at line 1595 of file Drawable.h.

{
return _cornerWidth;
}

## hight() [1/2]

void Magick::DrawableRoundRectangle::hight | ( | double | hight_ | ) |

inline

Definition at line 1544 of file Drawable.h.

{
_lowerRightY = hight_;
}

## hight() [2/2]

double Magick::DrawableRoundRectangle::hight | ( | void |  | ) | const

inline

Definition at line 1548 of file Drawable.h.

{
return _lowerRightY;
}

## lowerRightX() [1/2]

void Magick::DrawableRoundRectangle::lowerRightX | ( | double | lowerRightX_ | ) |

inline

Definition at line 1573 of file Drawable.h.

{
_lowerRightX = lowerRightX_;
}

## lowerRightX() [2/2]

double Magick::DrawableRoundRectangle::lowerRightX | ( | void |  | ) | const

inline

Definition at line 1577 of file Drawable.h.

{
return _lowerRightX;
}

## lowerRightY() [1/2]

void Magick::DrawableRoundRectangle::lowerRightY | ( | double | lowerRightY_ | ) |

inline

Definition at line 1582 of file Drawable.h.

{
_lowerRightY = lowerRightY_;
}

## lowerRightY() [2/2]

double Magick::DrawableRoundRectangle::lowerRightY | ( | void |  | ) | const

inline

Definition at line 1586 of file Drawable.h.

{
return _lowerRightY;
}

## operator()()

void Magick::DrawableRoundRectangle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1109 of file Drawable.cpp.

{
DrawRoundRectangle(context_,_upperLeftX,_upperLeftY,_lowerRightX,
_lowerRightY,_cornerWidth, _cornerHeight);
}

## upperLeftX() [1/2]

void Magick::DrawableRoundRectangle::upperLeftX | ( | double | upperLeftX_ | ) |

inline

Definition at line 1555 of file Drawable.h.

{
_upperLeftX = upperLeftX_;
}

## upperLeftX() [2/2]

double Magick::DrawableRoundRectangle::upperLeftX | ( | void |  | ) | const

inline

Definition at line 1559 of file Drawable.h.

{
return _upperLeftX;
}

## upperLeftY() [1/2]

void Magick::DrawableRoundRectangle::upperLeftY | ( | double | upperLeftY_ | ) |

inline

Definition at line 1564 of file Drawable.h.

{
_upperLeftY = upperLeftY_;
}

## upperLeftY() [2/2]

double Magick::DrawableRoundRectangle::upperLeftY | ( | void |  | ) | const

inline

Definition at line 1568 of file Drawable.h.

{
return _upperLeftY;
}

## width() [1/2]

void Magick::DrawableRoundRectangle::width | ( | double | width_ | ) |

inline

Definition at line 1535 of file Drawable.h.

{
_lowerRightX = width_;
}

## width() [2/2]

double Magick::DrawableRoundRectangle::width | ( | void |  | ) | const

inline

Definition at line 1539 of file Drawable.h.

{
return _lowerRightX;
}

## Field Documentation

## _cornerHeight

double Magick::DrawableRoundRectangle::_cornerHeight

private

Definition at line 1615 of file Drawable.h.

## _cornerWidth

double Magick::DrawableRoundRectangle::_cornerWidth

private

Definition at line 1614 of file Drawable.h.

## _lowerRightX

double Magick::DrawableRoundRectangle::_lowerRightX

private

Definition at line 1612 of file Drawable.h.

## _lowerRightY

double Magick::DrawableRoundRectangle::_lowerRightY

private

Definition at line 1613 of file Drawable.h.

## _upperLeftX

double Magick::DrawableRoundRectangle::_upperLeftX

private

Definition at line 1610 of file Drawable.h.

## _upperLeftY

double Magick::DrawableRoundRectangle::_upperLeftY

private

Definition at line 1611 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp